﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VeryPDF;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            string strPDFFile = appPath + "\\readme.pdf";
            string strOutFile = appPath + "\\_test_out.pdf";

            string strCmd = "-cername \"VeryPDF\" -signrect \"50,500,200,60\" -signpage 1 -$ XXXX-XXXX-XXXX-XXXX";
            strCmd += " \"" + strPDFFile + "\" \"" + strOutFile + "\"";

            System.Type VeryPDFType = System.Type.GetTypeFromProgID("VeryPDF.PDFSecuritySignatureCom");
            VeryPDF.PDFSecuritySignatureCom VeryPDFCom = (VeryPDF.PDFSecuritySignatureCom)System.Activator.CreateInstance(VeryPDFType);
            string strReturn = VeryPDFCom.PDFSecuritySignature(strCmd);
            MessageBox.Show("Processing finished.");
        }
    }
}
